#ifndef COLORLISTWIDGET_H
#define COLORLISTWIDGET_H

#include <QHash>
#include <QWidget>

class QTableWidget;

class ColorListWidget : public QWidget
{
    Q_OBJECT
public:
    explicit ColorListWidget(QWidget *parent = nullptr);
    void setColors(const QHash<QString, QColor> &colors);

private:
    QTableWidget *table;
    void setupUI();
};

#endif // COLORLISTWIDGET_H
